﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.DesktopEdition

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        WinformsMap1.MapUnit = GeographyUnit.Meter

        WinformsMap1.CurrentExtent = New RectangleShape(0, 100, 100, 0)
        WinformsMap1.BackgroundOverlay.BackgroundBrush = New GeoSolidBrush(GeoColor.StandardColors.White)

        Dim inMemoryLayer As New InMemoryFeatureLayer()

        Dim inMemoryOverlay As New LayerOverlay()
        inMemoryOverlay.Layers.Add("InMemoryFeatureLayer", inMemoryLayer)
        WinformsMap1.Overlays.Add("InMemoryOverlay", inMemoryOverlay)

        WinformsMap1.Refresh()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim value As Double

        Dim inMemoryOverlay As LayerOverlay = WinformsMap1.Overlays(0)
        Dim inMemoryLayer As InMemoryFeatureLayer = inMemoryOverlay.Layers(0)

        inMemoryLayer.Open()
        Dim item As New FeatureSourceColumn("Crap")
        inMemoryLayer.Columns.Add(item)

        Dim count As Integer = 0

        Do While count < 30
            value = count + 0.1
            Dim feature As New Feature(CDbl(count), CDbl(count), value)
            feature.ColumnValues.Add("Crap", value)
            inMemoryLayer.InternalFeatures.Add(feature)
            count += 1
        Loop

        MessageBox.Show(inMemoryLayer.InternalFeatures.Count)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim inMemoryOverlay As LayerOverlay = WinformsMap1.Overlays(0)
        Dim inMemoryLayer As InMemoryFeatureLayer = inMemoryOverlay.Layers(0)

        'Applies class break style to show sample points of intensity of a field. 
        Dim classBreakStyle As New ClassBreakStyle("Crap")

        Dim Alpha As Integer = 120
        Dim symbolSize As Integer = 10

        classBreakStyle.ClassBreaks.Add(New ClassBreak(Double.MinValue, New PointStyle(PointSymbolType.Circle, New GeoSolidBrush(GeoColor.SimpleColors.Transparent), symbolSize)))
        classBreakStyle.ClassBreaks.Add(New ClassBreak(10, New PointStyle(PointSymbolType.Circle, New GeoSolidBrush(GeoColor.FromArgb(Alpha, 255, 0, 0)), symbolSize)))
        classBreakStyle.ClassBreaks.Add(New ClassBreak(20, New PointStyle(PointSymbolType.Circle, New GeoSolidBrush(GeoColor.FromArgb(Alpha, 224, 251, 132)), symbolSize)))
        classBreakStyle.ClassBreaks.Add(New ClassBreak(29, New PointStyle(PointSymbolType.Circle, New GeoSolidBrush(GeoColor.FromArgb(Alpha, 0, 255, 0)), symbolSize)))

        'loads points into InMemoryFeatureLayer 
        inMemoryLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(classBreakStyle)
        inMemoryLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20

        WinformsMap1.Refresh()
    End Sub
End Class
